AURECORD(1)

NAME
aurecord - record a sound file from a Network Audio System server

SYNOPSIS
aurecord [-audio servername] [-file format] [-data format] [-rate sample rate] [-mode input mode] [-gain input gain] [-time seconds] [-comment comment] [-?] filename

DESCRIPTION
The aurecord program can be used to record audio data from a Network Audio System server into a file. The recording will continue until either the specified time has elapsed or aurecord receives a SIGINT or SIGTERM signal.

OPTIONS
The following options may be used with the aurecord program:

-audio servername
    The Network Audio System server from which the file should be recorded.

-file format
    The file format to be used for the recorded audio data. The -? option will display a list of valid file formats. The default file format is Sun/NeXT.

-data format
    The data format to be used for the recorded audio data. The -? option will display a list of valid data formats. Note that each file format may only support selected data formats. The default data format is 8-bit uLAW.

-rate sample rate
    The sampling rate (in hertz) for the recording. The default rate is 8000 Hz.

-mode input mode
    Some Network Audio System servers may have different input amplification modes for microphone input versus line level input. This option allows the amplification mode to be specified. The two modes available are "mic" for microphone input and "line" for line level input. The default mode is "mic".

-gain input gain
    The input gain level in percent. The default is 75%.

-time seconds
    The time, in seconds, for the recording. If this option is not used, aurecord will record until a SIGINT or SIGTERM signal is received.

-comment comment
    A comment to be stored in the data file.

-?  Displays a usage message and a list of supported file and data formats.

SEE ALSO
nas(1)

COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.

AUTHOR
Greg Renda, Network Computing Devices, Inc.